qenable(8B)

NAME
qenable - allow a queue to accept jobs

SYNOPSIS
qenable <destination> [<destination> ...]
qenable --version

DESCRIPTION
The qenable command allows a queue to accept batch jobs. Sets the value of the queue's enabled attribute to True. If the command is accepted, the destination accepts Queue Job requests. Required Permission
In order to execute qenable, the user must have PBS Operator or Manager privilege.

OPTIONS

--version
    The qenable command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qenable command accepts one or more space-separated destination operands. The operands take any of the following forms: <queue name>

    Allows specified queue at default server to accept jobs.

@<server name>

    Allows all queues at specified server to accept jobs.

<queue name>@<server name>

    Allows specified queue at specified server to accept jobs.

To allow all queues at the default server to accept jobs, use the qmgr command:
Qmgr: set queue @default enabled=true

STANDARD ERROR
The qenable command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all the operands

Greater than zero
    If the qenable command fails to process any operand

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: pbs_server(8B), qmgr(8B), and qenable(8B)